
selection = 5;

load_parameters

if selection == 1,
	fname = 'regions_cheerios.pgm';
	ap = affine_parameters_cheerios;
	stereo_or_motion = 'stereo';
elseif selection == 2,
	fname = 'regions_meter.pgm';
	ap = affine_parameters_meter;
	stereo_or_motion = 'stereo';
elseif selection == 3,
	fname = 'regions_slanted_clorox.pgm';
	ap = affine_parameters_sl_clorox;
	stereo_or_motion = 'stereo';
elseif selection == 4,
	fname = 'regions_statue.pgm';
	ap = affine_parameters_statue;
	stereo_or_motion = 'motion';
elseif selection == 5,
	fname = 'regions_freethrow.pgm';
	ap = affine_parameters_freethrow;
	stereo_or_motion = 'motion';
end

regions = pgmread(fname);
if all(stereo_or_motion == 'motion'),
     [dmx, dmy] = create_dm(regions, ap);
     dm = sqrt(dmx.^2+dmy.^2);
else
     dm = abs(create_dm(regions, ap));
end
pgmwrite(dm * 30, 'tmp.pgm')
% colormap(gray(256))
% imagesc(dm)

